org.apache.flume.serialization

## Interface LengthMeasurable

- All Known Implementing Classes:
    ResettableFileInputStream

      public interface LengthMeasurable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `length()` returns the total length of the stream or file

- - ### Method Detail

    - #### length

          long length()
                      throws IOException

      returns the total length of the stream or file
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.